org.pcollections

## Interface POrderedSet<E>

Type Parameters:
  `E` -

All Superinterfaces:
  Collection<E>, Iterable<E>, PCollection<E>, PSet<E>, Set<E>

All Known Implementing Classes:
  OrderedPSet

    public interface POrderedSet<E>
    extends PSet<E>

Like `PSet` but preserves insertion order. Persistent equivalent of `LinkedHashSet`.

### Method Summary

Methods
`E` `get(int index)`
`int` `indexOf(Object o)`
`POrderedSet<E>` `minus(Object e)`
`POrderedSet<E>` `minusAll(Collection<?> list)`
`POrderedSet<E>` `plus(E e)`
`POrderedSet<E>` `plusAll(Collection<? extends E> list)`

### Methods inherited from interface org.pcollections.PCollection

`add, addAll, clear, remove, removeAll, retainAll`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

### Method Detail

#### plus

    POrderedSet<E> plus(E e)

Specified by:
  `plus` in interface `PCollection<E>`
Specified by:
  `plus` in interface `PSet<E>`
Parameters:
  `e` - non-null
Returns:
  a collection which contains e and all of the elements of this

#### plusAll

    POrderedSet<E> plusAll(Collection<? extends E> list)

Specified by:
  `plusAll` in interface `PCollection<E>`
Specified by:
  `plusAll` in interface `PSet<E>`
Parameters:
  `list` - contains no null elements
Returns:
  a collection which contains all of the elements of list and this

#### minus

    POrderedSet<E> minus(Object e)

Specified by:
  `minus` in interface `PCollection<E>`
Specified by:
  `minus` in interface `PSet<E>`
Returns:
  this with a single instance of e removed, if e is in this

#### minusAll

    POrderedSet<E> minusAll(Collection<?> list)

Specified by:
  `minusAll` in interface `PCollection<E>`
Specified by:
  `minusAll` in interface `PSet<E>`
Returns:
  this with all elements of list completely removed

#### get

    E get(int index)

#### indexOf

    int indexOf(Object o)

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015